Package Gnumed :: Package timelinelib :: Package calendar :: Package gregorian :: Module time :: Class GregorianTime |
[frames] | no frames]

# Class GregorianTime

source code

               object --+
                        |
    time.GenericTimeMixin --+
                            |
                           GregorianTime

Instance Methods
DeltaClass(self) | source code
__init__(self, julian_day, seconds) x.__init__(...) initializes x; see help(type(x)) for signature | source code
__eq__(self, time) | source code
__ne__(self, time) | source code
__add__(self, delta) | source code
__sub__(self, other) | source code
__gt__(self, dt) | source code
__ge__(self, dt) | source code
__lt__(self, dt) | source code
__repr__(self) repr(x) | source code
get_time_of_day(self) | source code
Inherited from `time.GenericTimeMixin`: `__radd__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Methods
min(cls) | source code
set_min_julian_day(cls, allow_negative_julian_yeras) | source code

Class Variables
| MIN_JULIAN_DAY = `0`

Properties
Inherited from `object`: `__class__`

Method Details

### DeltaClass(self) | source code
Decorators: `@property`

### __init__(self, julian_day, seconds) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

### __repr__(self) (Representation operator) | source code
repr(x) Overrides: object.__repr__ (inherited documentation)